#
# Prints the usage of RefGenie
#

# The build tag.
TAG ?= hg19/fasta

# The reference genome path.
OUT ?= $(shell refgenie seek ${TAG})

.PHONY: usage list install

# General usage information.
usage::
	@echo ""
	@echo "# refgenie.mk: demonstrates refgenie commands"
	@echo ""
	@echo "  in:  TAG=${TAG}"
	@echo "  in:  OUT=${OUT}"
	@echo ""
	@echo "# refgenie.mk: typical usage "
	@echo ""
	@echo "  refgenie list"
	@echo "  refgenie listr"
	@echo ""
	@echo "  refgenie seek ${TAG}"
	@echo "  refgenie seekr ${TAG}"
	@echo ""
	@echo "  refgenie pull ${TAG}"
	@echo ""
	@echo "# refgenie.mk: path "

# Shows the current path
show::
	@echo "#"
	@echo "# refgenie seek ${TAG}"
	@echo "#"
	@echo "# ${OUT}"
	@echo "#"
	@ls -l ${OUT}
	@echo ""


# Installation instructions
install::
	@echo "mamba install refgenie"
