#
# TAGs bam files BAM files
#

# Targets that are not files.
.PHONY: tag tag! install help

# Input BAM file.
BAM=bam/alignment.bam

# Set the values for the read groups.
ID ?= run
SM ?= sample
LB ?= library
PL ?= ILLUMINA
RG ?= '@RG\tID:${ID}\tSM:${SM}\tLB:${LB}\tPL:${PL}'

# The first target is always the help.
help::
	@echo "# src/tag.mk: filter BAM files"
	@echo ""
	@echo "  make tag"
	@echo ""
	@echo "  in:  ID=${ID}"
	@echo "  in:  SM=${SM}"
	@echo "  in:  LB=${LB}"
	@echo "  in:  PL=${PL}"
	@echo "  in:  RG=${RG}"
	@echo "  in:  BAM=${BAM}"
	@echo ""
	@echo "  out: BAM=${BAM}"
	@echo ""
	@echo "  cmd: ${TAG_CMD}"
	@echo ""

TAG_CMD = samtools addreplacerg -w -r ${RG} -o ${BAM}.tmp ${BAM} && mv ${BAM}.tmp ${BAM}

tag:
	(${TAG_CMD})
	@echo ""
	samtools view -H ${BAM}
	@echo ""

tag!:
	@echo ""
	@echo "# Tagging cannot be undone"
	@echo ""

install::
	@echo mamba install seqkit samsift
